import { HttpBackend, HttpClient, HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { InjectionToken, Injector } from '@angular/core';
import { Observable } from 'rxjs';
import { ICbmInvoiceModuleConfig } from './invoice.module';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare const INVOICE_HTTP_INTERCEPTORS: InjectionToken<HttpInterceptor[]>;
export declare class InvoiceHttpService extends HttpClient {
    private injector;
    constructor(backend: HttpBackend, injector: Injector);
    static ɵfac: i0.ɵɵFactoryDeclaration<InvoiceHttpService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<InvoiceHttpService>;
}
export declare class InvoiceAuthInterceptor implements HttpInterceptor {
    private moduleConfig;
    private router;
    constructor(moduleConfig: ICbmInvoiceModuleConfig, router: Router);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<InvoiceAuthInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<InvoiceAuthInterceptor>;
}
