import { InjectionToken, ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common/http";
export interface ICbmInvoiceModuleConfig {
    baseUrl: string;
}
export declare const INVOICE_MODULE_CONFIG: InjectionToken<ICbmInvoiceModuleConfig>;
export declare class CbmInvoiceModule {
    static forRoot(config: ICbmInvoiceModuleConfig): ModuleWithProviders<CbmInvoiceModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CbmInvoiceModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CbmInvoiceModule, never, [typeof i1.HttpClientModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CbmInvoiceModule>;
}
